SystemOrganization addCategory: #'SIXX-ParserAdapter'!

Object subclass: #SixxXmlParserAdapter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SIXX-ParserAdapter'!

SixxXmlParserAdapter subclass: #SixxVASTXmlParserAdapter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SIXX-ParserAdapter'!

!SixxVASTXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'jf 11/16/2009 11:50'!
attributeAt: attributeName from: sixxElement
	^ (sixxElement attributes getNamedItem: attributeName) value! !

!SixxVASTXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'jf 11/16/2009 11:51'!
characterDataFrom: sixxElement
	^ sixxElement getContentText value! !

!SixxVASTXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'jf 11/16/2009 11:51'!
elementsFrom: sixxElement 
	^ sixxElement contents select: [:each | each isText not]! !

!SixxVASTXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'jf 11/16/2009 11:51'!
nameFrom: sixxElement 
	^ sixxElement name! !

!SixxVASTXmlParserAdapter class methodsFor: 'actions' stamp: 'mu 12/23/2009 22:03'!
parseXml: xmlStringOrStream 
	| parser |
	parser := (self classAt: #AbtXmlDOMParser) newNonValidatingParser.
	^ (parser parse: xmlStringOrStream) rootTag! !

SixxXmlParserAdapter subclass: #SixxVwXmlParserAdapter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SIXX-ParserAdapter'!

!SixxVwXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/15/2002 17:48'!
attributeAt: attributeName from: sixxElement
	| attr |
	attr := sixxElement attributes
				detect: [:each | each key type = attributeName]
				ifNone: [^ nil].
	^ attr value! !

!SixxVwXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/15/2002 17:51'!
characterDataFrom: sixxElement
	^ sixxElement characterData! !

!SixxVwXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'MU 5/23/2002 17:37'!
elementsFrom: sixxElement 
	^sixxElement elements select: [:each | each isText not]
! !

!SixxVwXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/20/2002 14:51'!
nameFrom: sixxElement 
	^ sixxElement tag type! !

!SixxVwXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'mu 12/23/2009 22:03'!
parseXml: xmlStringOrStream 
	| stream parser |
	stream := xmlStringOrStream isStream
				ifTrue: [xmlStringOrStream]
				ifFalse: [ReadStream on: xmlStringOrStream].
	parser := (self classAt: #VWXMLXMLParser) on: stream.
	parser validate: false.
	^ parser scanDocument root! !

!SixxXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/15/2002 17:46'!
attributeAt: attributeName from: sixxElement
	self subclassResponsibility! !

!SixxXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/15/2002 17:51'!
characterDataFrom: sixxElement
	self subclassResponsibility! !

!SixxXmlParserAdapter class methodsFor: 'resolving' stamp: 'mu 12/23/2009 22:02'!
classAt: classNameSymbol
	^SixxPortableUtil classAt: classNameSymbol in: nil! !

!SixxXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/15/2002 17:46'!
elementsFrom: sixxElement
	self subclassResponsibility! !

!SixxXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'MU 5/23/2002 17:38'!
isTextFrom: sixxElement
	^ sixxElement isText! !

!SixxXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/20/2002 19:23'!
nameFrom: sixxElement
	self subclassResponsibility! !

!SixxXmlParserAdapter class methodsFor: 'actions' stamp: 'kuri-t 5/16/2002 14:29'!
parseXml: xmlStringOrStream
	self subclassResponsibility! !

SixxXmlParserAdapter subclass: #SixxYaxoXmlParserAdapter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SIXX-ParserAdapter'!

!SixxYaxoXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/15/2002 17:44'!
attributeAt: attributeName from: sixxElement
	^ sixxElement attributeAt: attributeName! !

!SixxYaxoXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/15/2002 17:51'!
characterDataFrom: sixxElement
	^ sixxElement contentString! !

!SixxYaxoXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'MU 5/23/2002 17:38'!
elementsFrom: sixxElement 
	^sixxElement elements
		! !

!SixxYaxoXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'kuri-t 5/20/2002 14:53'!
nameFrom: sixxElement
	^ sixxElement name! !

!SixxYaxoXmlParserAdapter class methodsFor: 'actions-parse' stamp: 'mu 12/23/2009 22:03'!
parseXml: xmlStringOrStream 
	| stream |
	stream := xmlStringOrStream isStream
				ifTrue: [xmlStringOrStream]
				ifFalse: [ReadStream on: xmlStringOrStream].
	^ ((self classAt: #XMLDOMParser) parseDocumentFrom: stream) topElement! !
